# Get Report Returns a single JSON record of report metadata Endpoint: GET /internal/reports/{report-id} Security: Bearer ## Path parameters: - `report-id` (string, required) Unique ID for a report ## Query parameters: - `caspian-only` (boolean) Include Caspian reports in response ## Response 200 fields (application/json): - `reportId` (string, required) Unique identifier for a report. Example: "497f6eca-6276-4993-bfeb-53cbbbba6f08" - `reportName` (string) User defined name of the report. Example: "My custom report" - `reportType` (string, required) The report type of the downloadable report. Enum: "PAYMENT_OPS" - `reportFormat` (string, required) The report format of the downloadable report. Enum: "CSV", "JSON" - `reportStatus` (string, required) The status of the report. Enum: "PENDING", "READY", "FAILED", "EMPTY" - `startDate` (string, required) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) start date (inclusive) for a requested report. Example: "2018-04-06T19:33:35Z" - `endDate` (string, required) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) end date (inclusive) for the requested report. Note: Must be after startDate, but no more than 90 days after. Example: "2018-04-06T20:33:35Z" - `createdOn` (string) Report creation time Example: "2018-04-06T20:33:35Z" - `downloadLink` (string) Link where you can download the report in the available format. This field is available when the report status is READY. Example: "https://reporting-test.rnc.ripplenet.com/v4/reports/download/497f6eca-6276-4993-bfeb-53cbbbba6f08" - `reportCreatedBy` (string) Identifies the entity that initiated the report creation. | Value | Description | |-------------|----------------------------------------------------| | SCHEDULER | Automated system-generated report initiated by the scheduler. | | API | User-generated report initiated through the API. | | [full name] | Full name of the user who initiated the creation of the report through the UI. | | null | Legacy support for older reports. | Example: "Norma Jean" ## Response 400 fields (application/json): - `type` (string, required) Example: "https://docs.ripple.com/payments-direct/api-docs/error-codes/report-error-codes#RPT_1" - `errorCode` (string, required) Example: "RPT_1" - `title` (string, required) Example: "BAD_REQUEST" - `detail` (string) Example: "Required field missing" - `time` (string, required) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp. Example: "2018-04-06T20:33:35Z" ## Response 403 fields (application/json): - `type` (string, required) Example: "https://docs.ripple.com/payments-direct/api-docs/error-codes/report-error-codes#RPT_1" - `errorCode` (string, required) Example: "RPT_1" - `title` (string, required) Example: "BAD_REQUEST" - `detail` (string) Example: "Required field missing" - `time` (string, required) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp. Example: "2018-04-06T20:33:35Z" ## Response 404 fields (application/json): - `type` (string, required) Example: "https://docs.ripple.com/payments-direct/api-docs/error-codes/report-error-codes#RPT_1" - `errorCode` (string, required) Example: "RPT_1" - `title` (string, required) Example: "BAD_REQUEST" - `detail` (string) Example: "Required field missing" - `time` (string, required) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp. Example: "2018-04-06T20:33:35Z"